#### §3.4.(c) Warning levels

A compiler should signal any occurrence of decapsulation. If a compiler supports to configure warnings this may be used to let the user choose to (a) ignore base class decapsulation, (b) treat it as a warning or even (c) treat it as an error (cf. §2.1.2.(c)).
Optionally, a batch compiler may support three levels of verbosity with respect to decapsulation:

`-nodecapsulation` | No warnings.
default | Warn only if/that access restrictions are overridden.
`-decapsulation` | Detailed messages containing the binding and the hidden base method.